﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfServiceLibrary
{
    [ServiceContract]
    public class MyService
    {
        [OperationContract]
        public int MultiplyByTwo(int i)
        {
            return Multiply(i, 2);
        }

        [OperationContract]
        public SomeClass GetSomeClass()
        {
            SomeClass c = new SomeClass();
            c.SomeString = "hello";
            return c;
        }

        public int Multiply(int i, int j)
        {
            return i * j;
        }
    }

    [DataContract]
    public class SomeClass
    {
        [DataMember]
        public string SomeString { get; set; }
    }
}
